Bug 468565 - Checkbox won't select on fillable PDF
Checkbox won't select on fillable PDF
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
: MoveUpstream, Reopened
: 418651 497648 562952 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-25 22:26 EDT by Daryll
Modified: 2012-08-20 20:33 EDT (History)
13 users (show)

See Also:
Fixed In Version: fontconfig-2.9.91-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 08:18:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Federal W-9 as example input for evince (250.15 KB, application/pdf)
2008-10-25 22:26 EDT, Daryll
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 19128 None None None Never

  None (edit)
Description Daryll 2008-10-25 22:26:19 EDT
Created attachment 321533 [details]
Federal W-9 as example input for evince

Description of problem: 
I'm trying to edit the federal W9 form at:
www.irs.gov/pub/irs-pdf/fw9.pdf
I want to check the type of tax entity.
If you move the cursor over the check box it changes from text insertion to a finger pointer, but pressing the mouse button does not check the box.

Version-Release number of selected component (if applicable):
evince-2.24.1-1.fc10.i386

How reproducible:
Every time

Steps to Reproduce:
See Description
  
Actual results:
Nothing gets checked


Expected results:
Checkbox is checked.

Additional info:
Comment 1 Matthias Clasen 2008-11-11 21:18:44 EST
This turns out to be a font configuration problem. See the upstream bug http://bugzilla.gnome.org/show_bug.cgi?id=502664

I can fix it by adding 

        <alias binding="same">
          <family>ZapfDingbats</family>
          <accept><family>Dingbats</family></accept>
        </alias>

next to the existing Dingbats alias in the file /etc/fonts/conf.d/30-urw-aliases.conf.
Comment 2 Bug Zapper 2008-11-25 23:14:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Behdad Esfahbod 2008-12-17 01:45:15 EST
Filed upstream:
http://bugs.freedesktop.org/show_bug.cgi?id=19128

Will get it in the fontconfig tree I'm working on.
Comment 4 Martin Jürgens 2009-05-14 07:21:52 EDT
*** Bug 418651 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2009-11-18 03:38:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:39:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Daryll 2009-12-23 13:33:03 EST
Please re-open, problem persists in Fedora 12.

The change from Matthias appears to be installed on F12, but when I move the mouse over a checkbox, the pointer turns to a finger, but clicking the square does not do anything.

Testing using the same IRS W-9 rev Oct 2007 that's included in my earlier report.
Comment 8 Thomas Moschny 2010-04-09 04:23:44 EDT
Problem still there with evince-2.28.2-1.fc12.x86_64.

In some documents boxes can't be checked at all, in other documents a '$' is shown instead of an 'X'.
Comment 9 Bug Zapper 2010-11-04 07:44:17 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Daryll 2010-11-04 12:06:50 EDT
Still true in Fedora 13 with evince 2.30.3-1 and fontconfig-2.8.0-1
Comment 11 Shaun McCance 2011-02-20 14:03:31 EST
Still true on Fedora 14, 2.32.0-1, fontconfig 2.8.0-2. Matthias's fix in comment #1 works for me.
Comment 12 Thomas Moschny 2011-02-22 05:55:24 EST
(In reply to comment #11)
> Still true on Fedora 14, 2.32.0-1, fontconfig 2.8.0-2. Matthias's fix in
> comment #1 works for me.

Same here.

Is there a reason for not adding that simple fix to the fontconfig package?
Comment 13 Matěj Cepl 2011-03-13 17:17:34 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > Still true on Fedora 14, 2.32.0-1, fontconfig 2.8.0-2. Matthias's fix in
> > comment #1 works for me.
> 
> Same here.
> 
> Is there a reason for not adding that simple fix to the fontconfig package?

Could you attach to this bug working /etc/fonts/conf.d/30-urw-aliases.conf which would make checkbox be checked with something else than $ sign in http://cds.mfcr.cz/cps/rde/xbcr/cds/Interaktiv_5405_17_4AK.pdf, please?

It seems to me that the fix from the comment 1 has been already added to that file, so it is probably not done correctly.

Thank you
Comment 14 Thomas Moschny 2011-03-14 04:42:41 EDT
(In reply to comment #13)
> (In reply to comment #12)
> > (In reply to comment #11)
> > > Still true on Fedora 14, 2.32.0-1, fontconfig 2.8.0-2. Matthias's fix in
> > > comment #1 works for me.
> > 
> > Same here.
> > 
> > Is there a reason for not adding that simple fix to the fontconfig package?
> 
> Could you attach to this bug working /etc/fonts/conf.d/30-urw-aliases.conf
> which would make checkbox be checked with something else than $ sign in
> http://cds.mfcr.cz/cps/rde/xbcr/cds/Interaktiv_5405_17_4AK.pdf, please?
> 
> It seems to me that the fix from the comment 1 has been already added to that
> file, so it is probably not done correctly.
> 
> Thank you

This is the fragment that needs to be added:

<fontconfig>
  <alias binding="same">
    <family>ZapfDingbats</family>
    <accept><family>Dingbats</family></accept>
  </alias>
</fontconfig>

Note that the difference to the existing entry is only one blank:
"Zapf Dingbats" (present in 30-urw-aliases.conf) vs. "ZapfDingbats" (missing). Seems _both_ entries are needed.
Comment 15 Thomas Moschny 2011-05-30 16:24:45 EDT
Ping? Problem still there.

evince-3.0.0-1.fc15.x86_64
fontconfig-2.8.0-3.fc15.x86_64
fontconfig-2.8.0-3.fc15.i686


Quick solution for anyone else seeing the same problem:

$ cat >/etc/fonts/conf.d/31-fix.conf <<EOF
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
	<alias binding="same">
	  <family>ZapfDingbats</family>
	  <accept><family>Dingbats</family></accept>
	</alias>
</fontconfig>
EOF
$ fc-cache
Comment 16 Bug Zapper 2011-06-02 14:26:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Joel 2011-08-24 19:04:26 EDT
Is there any reason why this bug, with a trivial patch that works (just confirmed on FC14) hasn't been applied?

Note that doing the fc-cache will crash firefox, but evince display checkboxes correctly afterwards.
Comment 18 redhatbugzilla 2011-09-02 07:23:05 EDT
I can confirm this for FC15.

Why is this on NEEDINFO?
Comment 19 Fedora Admin XMLRPC Client 2012-01-10 10:42:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 20 Fedora Admin XMLRPC Client 2012-03-21 21:38:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Akira TAGOH 2012-03-23 03:37:47 EDT
*** Bug 497648 has been marked as a duplicate of this bug. ***
Comment 22 Akira TAGOH 2012-04-05 06:14:08 EDT
*** Bug 562952 has been marked as a duplicate of this bug. ***
Comment 23 Akira TAGOH 2012-06-11 08:18:25 EDT
should be fixed in fontconfig-2.9.91-1.fc18

Note You need to log in before you can comment on or make changes to this bug.